#!/bin/bash

echo "Running rsync update on gsdl-src/java"
rsync -pav gsdl-src/java ../../src/.

echo "Running 'ant compile-core'"
pushd ../../ && ant compile-core && popd

echo "Copying gsdl3.jar and gutil.jar to Cantaloupe's webapps/WEB-INF/lib/ directory"
/bin/cp ../../build/gsdl3.jar packages/cantaloupe-4.0.2/src/main/webapp/WEB-INF/lib/gsdl3.jar
/bin/cp ../../build/gutil.jar packages/cantaloupe-4.0.2/src/main/webapp/WEB-INF/lib/gutil.jar

echo
echo "If first time run, or changes made to:"
echo "    (i) ./src (Greenstone specific code for Cantaloupe's src directory)"
echo "   (ii) ./cantaloupe-pom.xml or ./cantaloup.properties"
echo "  (iii) Greenstone's global.properties, log4j.properties, IIIFConfig.xml"
echo "then:"
echo "  ./PREPARE.sh"

echo
echo "Otherwise:"
echo "  ./COMPILE.sh"
echo
